Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.processor.chain
Class AbstractMessageProcessorChainBuilder

    java.lang.Object
      org.mule.processor.chain.AbstractMessageProcessorChainBuilder

All Implemented Interfaces:
  MessageProcessorBuilder, MessageProcessorChainBuilder

Direct Known Subclasses:
  DefaultMessageProcessorChainBuilder

    public abstract class AbstractMessageProcessorChainBuilder

extends Object
implements MessageProcessorChainBuilder

Constructs a chain of `MessageProcessor`s and wraps the invocation of the chain in a composite MessageProcessor. Both MessageProcessors and InterceptingMessageProcessor's can be chained together arbitrarily in a single chain. InterceptingMessageProcessors simply intercept the next MessageProcessor in the chain. When other non-intercepting MessageProcessors are used an adapter is used internally to chain the MessageProcessor with the next in the chain.

The MessageProcessor instance that this builder builds can be nested in other chains as required.

Field Summary
`protected FlowConstruct` | `flowConstruct`
`protected String` | `name`
`protected List` | `processors`

Constructor Summary
`AbstractMessageProcessorChainBuilder()`
`AbstractMessageProcessorChainBuilder(FlowConstruct flowConstruct)`

Method Summary
`protected MessageProcessor` | `initializeMessageProcessor(Object processor)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.processor.MessageProcessorChainBuilder
`build, chain, chain`

Field Detail

### processors

    protected List processors

### name

    protected String name

### flowConstruct

    protected FlowConstruct flowConstruct

Constructor Detail

### AbstractMessageProcessorChainBuilder

    public AbstractMessageProcessorChainBuilder()

### AbstractMessageProcessorChainBuilder

    public AbstractMessageProcessorChainBuilder(FlowConstruct flowConstruct)

Method Detail

### initializeMessageProcessor

    protected MessageProcessor initializeMessageProcessor(Object processor)
                                                   throws MuleException

  Throws:
    `MuleException`

### setName

    public void setName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.